package com.alibaba.druid.sql.ast.statement;

import com.alibaba.druid.sql.ast.SQLName;
import com.alibaba.druid.sql.ast.SQLStatementImpl;
import com.alibaba.druid.sql.ast.expr.SQLCharExpr;
import com.alibaba.druid.sql.visitor.SQLASTVisitor;
import java.util.ArrayList;
import java.util.List;

public class SQLBackupStatement extends SQLStatementImpl {
   private SQLName type;
   private SQLName action;
   private List<SQLCharExpr> properties = new ArrayList();

   protected void accept0(SQLASTVisitor visitor) {
      if (visitor.visit(this)) {
         this.acceptChild(visitor, this.type);
         this.acceptChild(visitor, this.action);
         this.acceptChild(visitor, this.properties);
      }

      visitor.endVisit(this);
   }

   public SQLName getType() {
      return this.type;
   }

   public void setType(SQLName type) {
      this.type = type;
   }

   public SQLName getAction() {
      return this.action;
   }

   public void setAction(SQLName action) {
      this.action = action;
   }

   public List<SQLCharExpr> getProperties() {
      return this.properties;
   }
}
